Questions tagged [elpy]

Elpy is an Emacs package to bring powerful Python editing to Emacs. It combines a number of other packages, written in Emacs Lisp as well as Python.

Filter by
Sorted by
Tagged with
32
votes
3answers
22k views

How to set up elpy to use python3?

When setting up my emacs for a new work environment, I am unable to get the elpy configuration to correctly use python 3. I have installed all of the required packages in /usr/local/bin and have ...
2
votes
2answers
440 views

Elpy starts Python processes at the root of my git tree, not the module's actual location

(I now submitted this as an issue in GitHub: https://github.com/jorgenschaefer/elpy/issues/1249) I'm using Emacs 25.3.1, Elpy v20171212.850, and Python 3.6.3 on MacOS 10.13.2 . I have a project ...
3
votes
0answers
121 views

how to highlight imported functions in python code?

python-mode or elpy-mode in Emacs only highlight the basic Python library functions. If you work a lot with other libraries like numpy and matplotlib, would be nice to have these functions and ...
3
votes
2answers
2k views

elpy [No match] when installing package

I'm trying to follow the instructions in the README of this repo: https://github.com/jorgenschaefer/elpy . Everything goes smoothly until I get to the point where I am to install the package. After ...
3
votes
1answer
3k views

How to customize the line character length in elpy?

I am using elpy for my Python development, but I would like to set the per-line character limit to 120 instead of the default 80 used by PEP8. Any suggestions on how I can do this? Even better, it ...
2
votes
0answers
380 views

Code Folding in ELPY Not Working

Gents, I used several IDEs for Python. I like Spyder, but I have have been a pretty obsessive Emacs user for a LONG time. I install ELPY. It works very well for my needs. However, I cannot get ...
1
vote
0answers
210 views

elpy - This feature requires the ‘jedi‘ package to be installed

I am getting following error when I do M-x elpy-goto-definition, even though I have installed jedi. I have followed following answer and this one. Error message: This feature requires the ‘jedi‘ ...
0
votes
1answer
32 views

Realgud to default to my most recent python executable

When I run realgud for python debugging, with: M-x realgud:pdb I see this prompt: Run pdb (like this): python -m pdb /home/username/work/place/scratch.py I'm using a conda environment installed in ./...
0
votes
0answers
108 views

Trouble installing elpy (totally newb to both emacs and programming)

I'm having trouble fully installing elpy. I supposedly installed it using emacs' GUI as you can see here. I tried testing whether it works or not by trying to run Eratosthenes's sieve algorithm as ...
0
votes
0answers
31 views

Unable to install ElPy: “eval-buffer: Cannot open load file: No such file or directory, s”

I followed the instructions to install ElPy from source: I cloned the repo to ~/code/elpy and added these to the Emacs initialization file: (add-to-list 'load-path "~/code/elpy") (load "...